Project

General

Profile

Bug #3141

Qt Creator Conflicts with The Dependency Clang=11.x

Malsasa - about 2 months ago - . Updated about 10 hours ago.

Status:
not-a-bug
Priority:
bug
Assignee:
-
% Done:

0%


Description

This bug has been solved already but this report is created later for documentation purpose.

  • steps to reproduce:
    eg: 1) # pacman -Syyu # try me first (systemd)
    2) # pacman -S qtcreator
    3) $ qtcreator
  • expected result:
    Qt Creator successfully installed and can run normally with its usual excellent, sophisticated all-in-one features to program C++, design user interface, compile and built projects, and read the Qt API documentation.
  • actual result:
    Qt Creator failed to install because of a hard dependency of a package version, that is, clang=11.x.x.
  • status:
    This bug has been solved.
  • solution:
    Parabola Team has been updated the Qt Creator package so it can be installed with more recent version of clang (clang=13) that is available on Parabola at the moment. Parabola Team also has been added a latest version Qt Creator, version 6, into libre-testing repository.

Thank you, Parabola Community.

Sincerely yours,

Malsasa

History

#1

Updated by bill-auger about 10 hours ago

  • Status changed from unconfirmed to not-a-bug

Also available in: Atom PDF